NX Open C++ Reference Guide
List of all members
NXOpen::Features::SketchFitCurveBuilder Class Reference

Sketch Fit Curve builder class. More...

Inheritance diagram for NXOpen::Features::SketchFitCurveBuilder:
NXOpen::Features::FitCurveBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Additional Inherited Members

- Public Types inherited from NXOpen::Features::FitCurveBuilder
enum  FittingParametersOptions { FittingParametersOptionsDegreeAndSegments, FittingParametersOptionsDegreeAndTolerance, FittingParametersOptionsTemplateCurve }
 Fitting parameters options. More...
 
enum  ProjectionDirectionOptions {
  ProjectionDirectionOptionsXc, ProjectionDirectionOptionsYc, ProjectionDirectionOptionsZc, ProjectionDirectionOptionsNormal,
  ProjectionDirectionOptionsView, ProjectionDirectionOptionsVector
}
 Auxiliary curve projection direction options. More...
 
enum  TargetSourceTypes {
  TargetSourceTypesInfer, TargetSourceTypesSpecifiedPoints, TargetSourceTypesChainedPoints, TargetSourceTypesCurve,
  TargetSourceTypesFace, TargetSourceTypesFacetBody
}
 Fitting target types. More...
 
enum  Types { TypesFitSpline, TypesFitLine, TypesFitCircle, TypesFitEllipse }
 Fitting types. More...
 
- Public Member Functions inherited from NXOpen::Features::FitCurveBuilder
bool CanKeepTemplateSelected ()
 Returns the flag indicating if template curve should be kept selected
Created in NX8.5.0. More...
 
bool CanRejectPointsAutomatically ()
 Returns the flag indicating if points beyond a threshold value should be ignored during fitting
Created in NX8.5.0. More...
 
bool CanUseAllPointsInPart ()
 Returns the flag indicating if all points in the part can be used for chaining
Created in NX8.5.0. More...
 
void ChainAllPoints ()
 Chains all the points in work part based on one selected point and evaluates the curve. More...
 
NXOpen::Features::GeometricConstraintDataManagerConstraintManager ()
 Returns the constraint manager
Created in NX8.5.0. More...
 
int Degree ()
 Returns the degree
Created in NX8.5.0. More...
 
void DeleteTargetPoints (const std::vector< NXOpen::Point * > &points)
 Deletes target points
Created in NX8.5.0. More...
 
void Evaluate ()
 Evaluates the curve
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::CurveExtensionBuilderExtender ()
 Returns the extension option
Created in NX8.5.0. More...
 
NXOpen::Features::FitCurveBuilder::FittingParametersOptions FittingParameters ()
 Returns the fitting parameters
Created in NX8.5.0. More...
 
NXOpen::PointGetFinalTargetPoint (int index)
 Returns the target point that are finally used for fitting. More...
 
int GetFinalTargetPointsSize ()
 Returns the number of target points that are finally used for fitting. More...
 
bool HasRadius ()
 Returns the has radius
Created in NX8.5.0. More...
 
bool HasReversedDirection ()
 Returns the flag indicating if fitted curve direction should be reversed
Created in NX8.5.0. More...
 
bool HasUniformSegments ()
 Returns the flag indicating if uniform segments should be created
Created in NX8.5.0. More...
 
bool IsAssociative ()
 Returns the flag indicating if a feature should be created
Created in NX8.5.0. More...
 
bool IsClosedBSpline ()
 Returns the flag indicating if a closed b-spline is to be fitted
Created in NX8.5.0. More...
 
bool IsClosedCurve ()
 Returns the flag indicating if a full circle or ellipse is to be fitted
Created in NX8.5.0. More...
 
void MakeConstraint (NXOpen::Point *point)
 In case of point targets, makes a target point a positional constraint. More...
 
NXOpen::DirectionProjectionDirection ()
 Returns the projection direction
Created in NX8.5.0. More...
 
NXOpen::Features::FitCurveBuilder::ProjectionDirectionOptions ProjectionDirectionOption ()
 Returns the projection direction option
Created in NX8.5.0. More...
 
NXOpen::ExpressionRadius ()
 Returns the circle radius
Created in NX8.5.0. More...
 
NXOpen::ExpressionRejectionThreshold ()
 Returns the rejection threshold
Created in NX8.5.0. More...
 
void RemoveConstraint (NXOpen::Point *point)
 Makes existing positional constraint a free target point
Created in NX8.5.0. More...
 
int Segments ()
 Returns the segments
Created in NX8.5.0. More...
 
void SetAssociative (bool associative)
 Sets the flag indicating if a feature should be created
Created in NX8.5.0. More...
 
void SetCanKeepTemplateSelected (bool canKeepTemplateSelected)
 Sets the flag indicating if template curve should be kept selected
Created in NX8.5.0. More...
 
void SetCanRejectPointsAutomatically (bool rejectPoints)
 Sets the flag indicating if points beyond a threshold value should be ignored during fitting
Created in NX8.5.0. More...
 
void SetCanUseAllPointsInPart (bool canUseAllPointsInPart)
 Sets the flag indicating if all points in the part can be used for chaining
Created in NX8.5.0. More...
 
void SetClosedBSpline (bool isClosed)
 Sets the flag indicating if a closed b-spline is to be fitted
Created in NX8.5.0. More...
 
void SetClosedCurve (bool isClosed)
 Sets the flag indicating if a full circle or ellipse is to be fitted
Created in NX8.5.0. More...
 
void SetDegree (int degree)
 Sets the degree
Created in NX8.5.0. More...
 
void SetFittingParameters (NXOpen::Features::FitCurveBuilder::FittingParametersOptions fittingParameters)
 Sets the fitting parameters
Created in NX8.5.0. More...
 
void SetHasRadius (bool hasRadius)
 Sets the has radius
Created in NX8.5.0. More...
 
void SetHasReversedDirection (bool hasReversedDirection)
 Sets the flag indicating if fitted curve direction should be reversed
Created in NX8.5.0. More...
 
void SetHasUniformSegments (bool hasUniformSegments)
 Sets the flag indicating if uniform segments should be created
Created in NX8.5.0. More...
 
void SetProjectionDirection (NXOpen::Direction *projectionDirection)
 Sets the projection direction
Created in NX8.5.0. More...
 
void SetProjectionDirectionOption (NXOpen::Features::FitCurveBuilder::ProjectionDirectionOptions projectionDirectionOption)
 Sets the projection direction option
Created in NX8.5.0. More...
 
void SetSegments (int segments)
 Sets the segments
Created in NX8.5.0. More...
 
void SetTargetSourceType (NXOpen::Features::FitCurveBuilder::TargetSourceTypes targetSourceType)
 Sets the target type
Created in NX8.5.0. More...
 
void SetTolerance (double tolerance)
 Sets the tolerance
Created in NX8.5.0. More...
 
void SetType (NXOpen::Features::FitCurveBuilder::Types type)
 Sets the type
Created in NX8.5.0. More...
 
NXOpen::SelectTaggedObjectListTarget ()
 Returns the target objects. More...
 
NXOpen::Features::FitCurveBuilder::TargetSourceTypes TargetSourceType ()
 Returns the target type
Created in NX8.5.0. More...
 
NXOpen::SelectSplineTemplateCurve ()
 Returns the template curve
Created in NX8.5.0. More...
 
double Tolerance ()
 Returns the tolerance
Created in NX8.5.0. More...
 
NXOpen::Features::FitCurveBuilder::Types Type ()
 Returns the type
Created in NX8.5.0. More...
 
void UpdateTargetSelectionOnPointEditing ()
 Updates target selection by replacing original point by edited point. More...
 

Detailed Description

Sketch Fit Curve builder class.


To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateSketchFitCurveBuilder
Default values.

Property Value

IsClosedCurve

true

ProjectionDirectionOption

Normal

Radius.Value

50.0 (millimeters part), 2.0 (inches part)

RejectionThreshold.Value

10.0 (millimeters part), 0.5 (inches part)


Created in NX8.5.0.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.